Open Infrastructure - Task #7496

Create 2 new IPv6 only unbound based resolving DNS servers providing DNS64
12/17/2019 12:00 PM - Nico Schottelius

Status: Closed Start date: 12/17/2019
Priority: High Due date:

Assignee: Timothée Floure % Done: 0%
Category: Estimated time: 0.00 hour

Target version:
PM Check date:

Description

Background

We want VPN users or anyone to be able to select if they get NAT64 or not. Currently our bind decides based on the query source
IP, whether to provide NAT64 or not and which prefix to use.

We want to have an alternative to that: DNS servers that always respond with NAT64 replies. So users can decide on their own if
they want NAT64 or not.

Details

e 2 VMs in place6
o names: unbound1.place6.ungleich.ch, unbound2.place6.ungleich.ch
OS: Alpine
fully cdist configured
o create a new type __ungleich_unbound that accepts as parameter:
= upstream dns servers
= dns64 prefix
Use the DNS64 prefix from place6
Configure unbound to lookup names via 2a0a:e5c0:2:1::5 and 2a0a:e5c0:2:1::6
o Because unbound is IPv6 only, it is not able to query IPv4 only domains

documentation

¢ After it has been implemented and verified by Balazs, please update the documentation on The_ungleich_ DNS_infrastructure

Related issues:
Blocks Open Infrastructure - Task #7560: Document DNS64 setup for VMs Closed 01/03/2020 01/17/2020

History

#1 - 12/19/2019 11:25 AM - Nico Schottelius
- Priority changed from Normal to High

#2 - 12/19/2019 05:11 PM - Timothée Floure

- Status changed from New to In Progress

#3 - 01/02/2020 05:09 PM - Timothée Floure

Merge request opened against dot-cdist: https://code.ungleich.ch/ungleich-intern/dot-cdist/merge_requests/65

#4 - 01/03/2020 04:08 PM - Nico Schottelius
- Blocks Task #7560: Document DNS64 setup for VMs added

#5 - 01/18/2020 07:39 PM - Timothée Floure

It's deployed: there's just monitoring to setup before it can be closed.

#6 - 01/20/2020 12:05 PM - Timothée Floure

- Status changed from In Progress to Closed
http://localhost:3000/projects/open-infrastructure/wiki/The_ungleich_DNS_infrastructure
https://code.ungleich.ch/ungleich-intern/dot-cdist/merge_requests/65

Unbound DNS servers are now monitored by the prometheus blackbox exporter. Closing.
